FLANG

Public Types | Public Attributes | List of all members
Fortran::evaluate::Expr< SomeDerived > Class Reference
Inheritance diagram for Fortran::evaluate::Expr< SomeDerived >:

## Public Types
using | Result = SomeDerived
Public Types inherited from Fortran::evaluate::ExpressionBase< SomeDerived >
using | Result = SomeDerived

## Public Attributes
std::variant< Constant< Result >, ArrayConstructor< Result >, StructureConstructor, Designator< Result >, FunctionRef< Result > > | u

## Additional Inherited Members
Public Member Functions inherited from Fortran::evaluate::ExpressionBase< SomeDerived >
Derived & | operator= (const A &x)
common::IfNoLvalue< Derived &, A > | operator= (A &&x)
std::optional< DynamicType > | GetType () const
int | Rank () const
std::string | AsFortran () const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const
Static Public Member Functions inherited from Fortran::evaluate::ExpressionBase< SomeDerived >
static Derived | Rewrite (FoldingContext &, Derived &&)

The documentation for this class was generated from the following file:

- include/flang/Evaluate/expression.h